com.avaya.ccs.api

## Interface WebChatMediaI

- All Superinterfaces:
    MediaI

      public interface WebChatMediaI
      extends MediaI

  The `WebChatMediaI` object represents a Webchat media object. An Interaction can contain a Media object, this Media object may be Email, Webchat etc. The Media object contains fields and methods relevant to that multimedia type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendIsTypingRequest()` Sends an IsTyping request to the customer client
    `void` | `sendMessage(java.lang.String message, boolean isWhisper)` In a webchat session, agents send messages to customers and other agents using this method
    `void` | `sendPagePushUrl(java.lang.String url)` In a webchat session, agents can sends a URL to customers and other agents using this method.

    - ### Methods inherited from interface com.avaya.ccs.api.MediaI

      `getContactType, getId, toJsonStringMaskSensitive`

- - ### Method Detail

    - #### sendMessage

          void sendMessage(java.lang.String message,
                           boolean isWhisper)
                    throws ObjectInvalidException

      In a webchat session, agents send messages to customers and other agents using this method
      Parameters:
        `message` - The text message sent by the agent to the other party(s) in the conversation
        `isWhisper` - Utilised in Agent-Agent communications in a Conference. If isWhisper is true, the Customer won't get this message
      Throws:
        `ObjectInvalidException` - if the `WebChatMediaI` object has been deleted

    - #### sendIsTypingRequest

          void sendIsTypingRequest()
                            throws ObjectInvalidException

      Sends an IsTyping request to the customer client
      Throws:
        `ObjectInvalidException` - if the `WebChatMediaI` object has been deleted

    - #### sendPagePushUrl

          void sendPagePushUrl(java.lang.String url)
                        throws ObjectInvalidException

      In a webchat session, agents can sends a URL to customers and other agents using this method.
      Parameters:
        `url` - the url to be sent to customers
      Throws:
        `ObjectInvalidException` - if the `WebChatMediaI` object has been deleted